Ejemplo n.º 1
0
        /// <summary>
        /// Create a new Area BoundaryConditions Element.
        /// All the parameter default as Fixed.
        /// </summary>
        /// <param name="hostElement">structural element which provide the hostElementId</param>
        /// <returns>the created Point BoundaryConditions Element</returns>
        private Autodesk.Revit.DB.BoundaryConditions CreateAreaBC(Autodesk.Revit.DB.Element hostElement)
        {
            Autodesk.Revit.Creation.Document createDoc = hostElement.Document.Create;

            // invoke Document.NewAreaBoundaryConditions Method
            Autodesk.Revit.DB.BoundaryConditions createdBC =
                createDoc.NewAreaBoundaryConditions(hostElement.GetAnalyticalModel(), 0, 0, 0, 0, 0, 0);

            return(createdBC);
        }
Ejemplo n.º 2
0
 /// <summary>
 /// Get the analytical model object from an element.
 /// </summary>
 /// <param name="element">The selected element maybe has analytical model lines</param>
 /// <returns>Return analytical model object, or else return null.</returns>
 private AnalyticalModel GetAnalyticalModel(Element element)
 {
     return(element.GetAnalyticalModel());
 }
Ejemplo n.º 3
0
 /// <summary>
 /// Get the analytical model object from an element.
 /// </summary>
 /// <param name="element">The selected element maybe has analytical model lines</param>
 /// <returns>Return analytical model object, or else return null.</returns>
 private AnalyticalModel GetAnalyticalModel(Element element)
 {
     return element.GetAnalyticalModel();
 }